EUCA-DESCRIBE-VPC-PEERING-CONNECTIONS(1)

NAME
euca-describe-vpc-peering-connections - Show information about VPC peering connections

SYNOPSIS
euca-describe-vpc-peering-connections [--show-empty-fields] [-U URL]

[--region USER@REGION]
    [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [PEERCONN [PEERCONN ...]]

DESCRIPTION
Show information about VPC peering connections

  positional arguments:

PEERCONN
    limit results to specific VPC peering connections

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

accepter-vpc-info.cidr-block
    the peer VPC's CIDR address block

accepter-vpc-info.owner-id
    the peer VPC's owner's account ID

accepter-vpc-info.vpc-id
    the peer VPC's ID

expiration-time
    when the peering connection request expires

requester-vpc-info.cidr-block
    the requester VPC's CIDR address block

requester-vpc-info.owner-id
    the requester VPC's owner's account ID

requester-vpc-info.vpc-id
    the requester VPC's ID

status-code
    the peering connection's status (active, deleted, expired, failed, pending-acceptance, provisioning, rejected)

tag-key
    key of a tag assigned to the peering connection

tag-value
    value of a tag assigned to the peering connection

tag:KEY
    specific tag key/value combination

vpc-peering-connection-id
    the peering connection's ID